liborigin 2.0.0

Public Member Functions | Public Attributes | Protected Member Functions | List of all members
OriginParser Class Referenceabstract

`#include <OriginParser.h>`

Inheritance diagram for OriginParser:

## Public Member Functions
vector< Origin::Excel >::difference_type | findExcelByName (const string &name) const
vector< Origin::Function >::difference_type | findFunctionByName (const string &name) const
vector< Origin::Matrix >::difference_type | findMatrixByName (const string &name) const
vector< Origin::SpreadSheet >::difference_type | findSpreadByName (const string &name) const
virtual bool | parse ()=0
void | setFileVersion (unsigned int version)
virtual | ~OriginParser ()

## Public Attributes
vector< Origin::Excel > | excels
unsigned int | fileVersion
vector< Origin::Function > | functions
vector< Origin::Graph > | graphs
vector< Origin::Matrix > | matrixes
vector< Origin::Note > | notes
tree< Origin::ProjectNode > | projectTree
string | resultsLog
vector< Origin::SpreadSheet > | speadSheets
unsigned int | windowsCount

## Protected Member Functions
void | convertSpreadToExcel (vector< Origin::SpreadSheet >::size_type spread)
int | findColumnByName (int spread, const string &name)
pair< string, string > | findDataByIndex (unsigned int index) const
vector< Origin::SpreadColumn >::difference_type | findExcelColumnByName (vector< Origin::Excel >::size_type excel, vector< Origin::SpreadSheet >::size_type sheet, const string &name) const
pair< Origin::ProjectNode::NodeType, string > | findObjectByIndex (unsigned int index) const
vector< Origin::SpreadColumn >::difference_type | findSpreadColumnByName (vector< Origin::SpreadSheet >::size_type spread, const string &name) const

## Constructor & Destructor Documentation

## ◆ ~OriginParser()

virtual OriginParser::~OriginParser | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ convertSpreadToExcel()

void OriginParser::convertSpreadToExcel | ( | vector< Origin::SpreadSheet >::size_type | spread | ) |
| protected

References excels, and speadSheets.

Referenced by Origin750Parser::parse().

## ◆ findColumnByName()

int OriginParser::findColumnByName | ( | int | spread,
|  | const string & | name
| ) |  |
| protected

References speadSheets.

Referenced by Origin610Parser::readSpreadInfo(), Origin750Parser::readSpreadInfo(), and Origin800Parser::readSpreadInfo().

## ◆ findDataByIndex()

pair< string, string > OriginParser::findDataByIndex | ( | unsigned int | index | ) | const
| protected

References excels, functions, matrixes, and speadSheets.

Referenced by Origin750Parser::readGraphAxisTickLabelsInfo(), Origin610Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin750Parser::readGraphInfo(), and Origin800Parser::readGraphInfo().

## ◆ findExcelByName()

vector< Origin::Excel >::difference_type OriginParser::findExcelByName | ( | const string & | name | ) | const

References excels.

Referenced by Origin610Parser::parse(), Origin700Parser::parse(), Origin750Parser::parse(), Origin800Parser::parse(), and Origin750Parser::readExcelInfo().

## ◆ findExcelColumnByName()

vector< Origin::SpreadColumn >::difference_type OriginParser::findExcelColumnByName | ( | vector< Origin::Excel >::size_type | excel,
|  | vector< Origin::SpreadSheet >::size_type | sheet,
|  | const string & | name
| ) |  | const
| protected

References excels.

Referenced by Origin750Parser::readExcelInfo().

## ◆ findFunctionByName()

vector< Origin::Function >::difference_type OriginParser::findFunctionByName | ( | const string & | name | ) | const

References functions.

## ◆ findMatrixByName()

vector< Origin::Matrix >::difference_type OriginParser::findMatrixByName | ( | const string & | name | ) | const

References matrixes.

Referenced by Origin610Parser::parse(), Origin700Parser::parse(), Origin750Parser::parse(), Origin800Parser::parse(), Origin610Parser::readMatrixInfo(), Origin700Parser::readMatrixInfo(), Origin750Parser::readMatrixInfo(), and Origin800Parser::readMatrixInfo().

## ◆ findObjectByIndex()

pair< ProjectNode::NodeType, string > OriginParser::findObjectByIndex | ( | unsigned int | index | ) | const
| protected

References excels, graphs, matrixes, and speadSheets.

Referenced by Origin750Parser::readProjectTreeFolder(), and Origin810Parser::readProjectTreeFolder().

## ◆ findSpreadByName()

vector< Origin::SpreadSheet >::difference_type OriginParser::findSpreadByName | ( | const string & | name | ) | const

References speadSheets.

Referenced by Origin610Parser::parse(), Origin700Parser::parse(), Origin750Parser::parse(), Origin800Parser::parse(), OriginDefaultParser::parse(), Origin610Parser::readSpreadInfo(), Origin750Parser::readSpreadInfo(), and Origin800Parser::readSpreadInfo().

## ◆ findSpreadColumnByName()

vector< Origin::SpreadColumn >::difference_type OriginParser::findSpreadColumnByName | ( | vector< Origin::SpreadSheet >::size_type | spread,
|  | const string & | name
| ) |  | const
| protected

References speadSheets.

Referenced by Origin610Parser::readSpreadInfo(), Origin750Parser::readSpreadInfo(), and Origin800Parser::readSpreadInfo().

## ◆ parse()

virtual bool OriginParser::parse | ( |  | ) |
| pure virtual

Implemented in Origin610Parser, Origin700Parser, Origin750Parser, Origin800Parser, and OriginDefaultParser.

## ◆ setFileVersion()

void OriginParser::setFileVersion | ( | unsigned int | version | ) |
| inline

References fileVersion.

## Member Data Documentation

## ◆ excels

vector<Origin::Excel> OriginParser::excels

Referenced by convertSpreadToExcel(), findDataByIndex(), findExcelByName(), findExcelColumnByName(), findObjectByIndex(), and Origin750Parser::readExcelInfo().

## ◆ fileVersion

unsigned int OriginParser::fileVersion

Referenced by Origin800Parser::parse(), and setFileVersion().

## ◆ functions

vector<Origin::Function> OriginParser::functions

Referenced by findDataByIndex(), findFunctionByName(), Origin610Parser::parse(), Origin700Parser::parse(), Origin750Parser::parse(), and Origin800Parser::parse().

## ◆ graphs

vector<Origin::Graph> OriginParser::graphs

Referenced by findObjectByIndex(), Origin610Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin750Parser::readGraphInfo(), and Origin800Parser::readGraphInfo().

## ◆ matrixes

vector<Origin::Matrix> OriginParser::matrixes

Referenced by findDataByIndex(), findMatrixByName(), findObjectByIndex(), Origin610Parser::parse(), Origin700Parser::parse(), Origin750Parser::parse(), Origin800Parser::parse(), Origin610Parser::readMatrixInfo(), Origin700Parser::readMatrixInfo(), Origin750Parser::readMatrixInfo(), Origin800Parser::readMatrixInfo(), and Origin750Parser::readProjectTree().

## ◆ notes

vector<Origin::Note> OriginParser::notes

Referenced by Origin750Parser::parse(), Origin610Parser::readNotes(), Origin800Parser::readNotes(), Origin750Parser::readProjectTreeFolder(), and Origin810Parser::readProjectTreeFolder().

## ◆ projectTree

tree<Origin::ProjectNode> OriginParser::projectTree

Referenced by Origin750Parser::readProjectTree(), Origin750Parser::readProjectTreeFolder(), and Origin810Parser::readProjectTreeFolder().

## ◆ resultsLog

string OriginParser::resultsLog

Referenced by Origin750Parser::parse(), Origin610Parser::readResultsLog(), and Origin800Parser::readResultsLog().

## ◆ speadSheets

vector<Origin::SpreadSheet> OriginParser::speadSheets

Referenced by convertSpreadToExcel(), findColumnByName(), findDataByIndex(), findObjectByIndex(), findSpreadByName(), findSpreadColumnByName(), Origin610Parser::parse(), Origin700Parser::parse(), Origin750Parser::parse(), Origin800Parser::parse(), OriginDefaultParser::parse(), Origin800Parser::readColumnInfo(), Origin610Parser::readSpreadInfo(), Origin750Parser::readSpreadInfo(), and Origin800Parser::readSpreadInfo().

## ◆ windowsCount

unsigned int OriginParser::windowsCount

Referenced by Origin750Parser::Origin750Parser(), Origin750Parser::readProjectTree(), and Origin750Parser::readProjectTreeFolder().

The documentation for this class was generated from the following files:

- /tmp/slackdce/slackrepo.5NA6jZ/build_liborigin/liborigin/OriginParser.h
- /tmp/slackdce/slackrepo.5NA6jZ/build_liborigin/liborigin/OriginParser.cpp